get
https://app.usegradient.com/api/vendor-api
Get Vendor Details
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Details
The Get Vendor API allows you to verify that the connection to the API is successful and will display the list of services for the vendor.
Sample Response
The below sample response is similar to what you will see when you initially perform this call. As you add additional services to the account, you will see more information in the call.
{
"status": 200,
"data": {
"_id": "64...69",
"name": "API",
"description": "API is a custom made vendor",
"integrationType": "custom",
"isDistributor": false,
"externalIntegrationStatus": "notIntegrated",
"mappingResponsibilities": [
"accounts",
"services"
],
"modules": [
{
"variation": "alerts"
},
{
"variation": "billing"
}
],
"organizationId": "64...3c",
"attributes": [],
"skus": [],
"createdAt": "2023-06-06T13:55:04.681Z",
"updatedAt": "2023-06-06T13:55:04.688Z",
"__v": 0,
"id": "64...69"
},
"message": "Success - Retrieved Vendor"
} 401Unauthorized
403Forbidden
404Vendor Profile Not Found
429Request limit reached (100 requests a second)

